%define module	livestreamer

Name:		python-%{module}
Version:	1.12.2
Release:	%mkrel 3
Summary:	CLI for piping video streams to video players
License:	BSD
Group:		Development/Python
URL:		http://livestreamer.tanuki.se/
Source0:	https://github.com/chrippa/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)

Requires:	pythonegg(2)(requests)
Recommends:	pythonegg(2)(pycrypto)
Requires:	python-pkg-resources
Recommends:	rtmpdump

%description
Livestreamer is CLI program that extracts streams from various services and
pipes them into a video player of choice.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	CLI for piping video streams to video players
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)

Requires:	pythonegg(3)(requests)
Recommends:	pythonegg(3)(pycrypto)
Requires:	python3-pkg-resources
Recommends:	rtmpdump

%description -n python3-%{module}
Livestreamer is CLI program that extracts streams from various services and
pipes them into a video player of choice.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

rm -r docs/_themes/.gitignore
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/livestreamer %{buildroot}%{_bindir}/python3-livestreamer
popd

%py2_install

%files
%doc *.rst LICENSE*
%doc docs
%{_bindir}/%{module}
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{module}_cli
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc *.rst LICENSE*
%doc docs
%{_bindir}/python3-%{module}
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}_cli
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.12.2-3.mga6
+ Revision: 970457
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 1.12.2-2.mga6
+ Revision: 886839
- rebuild for python 3.5
- use new python macros

* Sat Jun 20 2015 daviddavid <daviddavid> 1.12.2-1.mga6
+ Revision: 835915
- new version: 1.12.2

* Sun Mar 08 2015 daviddavid <daviddavid> 1.12.0-1.mga5
+ Revision: 818084
- new version: 1.12.0
- update Source Url
- remove unneeded .gitignore file
- update doc file list

* Tue Jan 27 2015 daviddavid <daviddavid> 1.11.1-1.mga5
+ Revision: 812433
- new version: 1.11.1
- fixes no streams being found on Twitch.tv (mga#15139)

* Wed Oct 15 2014 umeabot <umeabot> 1.10.2-4.mga5
+ Revision: 740767
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.10.2-3.mga5
+ Revision: 728952
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.10.2-2.mga5
+ Revision: 688124
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Sep 06 2014 daviddavid <daviddavid> 1.10.2-1.mga5
+ Revision: 672722
- new version: 1.10.2

* Thu Aug 28 2014 daviddavid <daviddavid> 1.10.1-1.mga5
+ Revision: 669066
- add more doc in livestreamer package
- new version: 1.10.1

* Tue Aug 19 2014 daviddavid <daviddavid> 1.10.0-2.mga5
+ Revision: 665514
- fix missing dependency on 'python(3)-pkg-resources' (mga#13938)

* Tue Aug 19 2014 daviddavid <daviddavid> 1.10.0-1.mga5
+ Revision: 665390
- new version: 1.10.0

* Tue Jul 22 2014 daviddavid <daviddavid> 1.9.0-1.mga5
+ Revision: 655682
- new version: 1.9.0

* Wed Jun 11 2014 daviddavid <daviddavid> 1.8.2-1.mga5
+ Revision: 635675
- new version: 1.8.2

* Sun Jun 01 2014 daviddavid <daviddavid> 1.8.1-1.mga5
+ Revision: 630472
- new version: 1.8.1

* Sat May 31 2014 pterjan <pterjan> 1.8.0-2.mga5
+ Revision: 628747
- Rebuild for new Python

* Thu Apr 24 2014 daviddavid <daviddavid> 1.8.0-1.mga5
+ Revision: 617689
- new version: 1.8.0

* Mon Apr 14 2014 daviddavid <daviddavid> 1.7.5-2.mga5
+ Revision: 614134
- add pycrypto as a Suggests package (optional dependencies)
- add rtmpdump as a Suggests package (optional dependencies)

* Mon Apr 14 2014 daviddavid <daviddavid> 1.7.5-1.mga5
+ Revision: 614101
- imported package python-livestreamer

